# salt.modules.napalm_ntp

## NAPALM NTP

Manages NTP on network devices.

codeauthor:

  Mircea Ulinic <ping@mirceaulinic.net> & Jerome Fleury <jf@cloudflare.com>

maturity:

  new

depends:

  napalm

platform:

  unix

### Dependencies

- `NAPALM proxy minion`

- `NET basic features`

See also

`NTP peers management state`

Added in version 2016.11.0.

salt.modules.napalm_ntp.delete_peers(*peers, **options)

  Removes NTP peers configured on the device.

  Parameters:

    - peers -- list of IP Addresses/Domain Names to be removed as NTP peers

    - (bool) (commit) -- discard loaded config. By default `test` is False (will not dicard the changes)

    - (bool) -- commit loaded config. By default `commit` is True (will commit the changes). Useful when the user does not want to commit after each change, but after a couple.

  By default this function will commit the config changes (if any). To load without committing, use the `commit` option. For a dry run, use the `test` argument.

  CLI Example:

      salt '*' ntp.delete_peers 8.8.8.8 time.apple.com
      salt '*' ntp.delete_peers 172.17.17.1 test=True  # only displays the diff
      salt '*' ntp.delete_peers 192.168.0.1 commit=False  # preserves the changes, but does not commit

salt.modules.napalm_ntp.delete_servers(*servers, **options)

  Removes NTP servers configured on the device.

  Parameters:

    - servers -- list of IP Addresses/Domain Names to be removed as NTP servers

    - (bool) (commit) -- discard loaded config. By default `test` is False (will not dicard the changes)

    - (bool) -- commit loaded config. By default `commit` is True (will commit the changes). Useful when the user does not want to commit after each change, but after a couple.

  By default this function will commit the config changes (if any). To load without committing, use the `commit` option. For dry run use the `test` argument.

  CLI Example:

      salt '*' ntp.delete_servers 8.8.8.8 time.apple.com
      salt '*' ntp.delete_servers 172.17.17.1 test=True  # only displays the diff
      salt '*' ntp.delete_servers 192.168.0.1 commit=False  # preserves the changes, but does not commit

salt.modules.napalm_ntp.peers(**kwargs)

  Returns a list the NTP peers configured on the network device.

  Returns:

    configured NTP peers as list.

  CLI Example:

      salt '*' ntp.peers

  Example output:

      [
          '192.168.0.1',
          '172.17.17.1',
          '172.17.17.2',
          '2400:cb00:6:1024::c71b:840a'
      ]

salt.modules.napalm_ntp.servers(**kwargs)

  Returns a list of the configured NTP servers on the device.

  CLI Example:

      salt '*' ntp.servers

  Example output:

      [
          '192.168.0.1',
          '172.17.17.1',
          '172.17.17.2',
          '2400:cb00:6:1024::c71b:840a'
      ]

salt.modules.napalm_ntp.set_peers(*peers, **options)

  Configures a list of NTP peers on the device.

  Parameters:

    - peers -- list of IP Addresses/Domain Names

    - (bool) (test) -- discard loaded config. By default `test` is False (will not dicard the changes)

  Commit commit (bool):

    commit loaded config. By default `commit` is True (will commit the changes). Useful when the user does not want to commit after each change, but after a couple.

  By default this function will commit the config changes (if any). To load without committing, use the commit option. For dry run use the test argument.

  CLI Example:

      salt '*' ntp.set_peers 192.168.0.1 172.17.17.1 time.apple.com
      salt '*' ntp.set_peers 172.17.17.1 test=True  # only displays the diff
      salt '*' ntp.set_peers 192.168.0.1 commit=False  # preserves the changes, but does not commit

salt.modules.napalm_ntp.set_servers(*servers, **options)

  Configures a list of NTP servers on the device.

  Parameters:

    - servers -- list of IP Addresses/Domain Names

    - (bool) (test) -- discard loaded config. By default `test` is False (will not dicard the changes)

  Commit commit (bool):

    commit loaded config. By default `commit` is True (will commit the changes). Useful when the user does not want to commit after each change, but after a couple.

  By default this function will commit the config changes (if any). To load without committing, use the commit option. For dry run use the test argument.

  CLI Example:

      salt '*' ntp.set_servers 192.168.0.1 172.17.17.1 time.apple.com
      salt '*' ntp.set_servers 172.17.17.1 test=True  # only displays the diff
      salt '*' ntp.set_servers 192.168.0.1 commit=False  # preserves the changes, but does not commit

salt.modules.napalm_ntp.stats(peer=None, **kwargs)

  Returns a dictionary containing synchronization details of the NTP peers.

  Parameters:

    peer -- Returns only the details of a specific NTP peer.

  Returns:

    a list of dictionaries, with the following keys:

    - remote

    - referenceid

    - synchronized

    - stratum

    - type

    - when

    - hostpoll

    - reachability

    - delay

    - offset

    - jitter

  CLI Example:

      salt '*' ntp.stats

  Example output:

      [
          {
              'remote'        : '188.114.101.4',
              'referenceid'   : '188.114.100.1',
              'synchronized'  : True,
              'stratum'       : 4,
              'type'          : '-',
              'when'          : '107',
              'hostpoll'      : 256,
              'reachability'  : 377,
              'delay'         : 164.228,
              'offset'        : -13.866,
              'jitter'        : 2.695
          }
      ]